import type { CheckedPropType, HideErrorPropType, IdPropType, IndeterminatePropType, InputCheckboxAPI, InputCheckboxIconsProp, InputCheckboxStates, InputCheckboxVariant, InputTypeOnDefault, LabelWithExpertSlotPropType, NamePropType, StencilUnknown, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType } from '@public-ui/schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolInputCheckbox implements InputCheckboxAPI {
    private readonly host?;
    private ref?;
    private readonly catchRef;
    getValue(): Promise<boolean | undefined>;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _checked?: boolean;
    _hideError?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: Stringified<InputCheckboxIconsProp>;
    _id?: IdPropType;
    _indeterminate?: boolean;
    _label: LabelWithExpertSlotPropType;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _required?: boolean;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: Stringified<StencilUnknown>;
    _variant?: InputCheckboxVariant;
    state: InputCheckboxStates;
    constructor();
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateChecked(value?: CheckedPropType): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: Stringified<InputCheckboxIconsProp>): void;
    validateId(value?: string): void;
    validateIndeterminate(value?: IndeterminatePropType): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateRequired(value?: boolean): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    validateVariant(value?: InputCheckboxVariant): void;
    componentWillLoad(): void;
    private onChange;
}
